
<div class="assignmentWrap">
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p  [ngClass]="{'active':router['url'] === '/mainDashBoard'}" class="completed">Start</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p [ngClass]="{'active':router['url'] === '/createAssignment'}" >Design</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p>Assign</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p>Share</p>
        </li>
      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean download">
        Import/Convert ATA

      </button>
    </div>
  </div>
  <div class="titleBar">
    <!--   <h4 class="black">{{assignmentMenuDetails.assignmentOption.assignmentName}}- {{assignmentMenuDetails.assignmentOption.className}}</h4>-->

  </div>

  <!-- {{assignmentDetails|json}}-->
  <div class="contentCont">


    <div class="wid60">

      <div class="row">
        <form #Assignment="ngForm">


          <div class="wid33" [class.has-error]="assignmentStartDate.touched && assignmentStartDate.invalid">
            <label  >Start DATE<span class="alert-msg">*</span></label>
            <div class="datePicCont">
              <input class="small"  [owlDateTime]="fromDuration" name="assignmentStartDate"[(ngModel)]="assignmentDetails.assignmentStartDate"
                     required id="assignmentStartDate"    #assignmentStartDate="ngModel"   [owlDateTimeTrigger]="fromDuration" placeholder="From" >
              <owl-date-time [pickerType]="'calendar'" #fromDuration></owl-date-time>
            </div>
            <span class="alert-msg" *ngIf="assignmentStartDate.touched && assignmentStartDate.invalid"> Please select start date</span>
          </div>

          <div class="wid33" [class.has-error]="assignmentEndDate.touched && assignmentEndDate.invalid">
            <label >End DATE<span class="alert-msg">*</span></label>
            <div class="datePicCont">
              <input class="small"  [owlDateTime]="assignmentEndDate" name="assignmentEndDate"
                     [owlDateTimeTrigger]="assignmentEndDate" [(ngModel)]="assignmentDetails.assignmentEndDate" placeholder="From"
                     id="assignmentEndDate"  required  #assignmentEndDate="ngModel">
              <owl-date-time [pickerType]="'calendar'" #assignmentEndDate></owl-date-time>
            </div>
            <span class="alert-msg" *ngIf="assignmentEndDate.touched && assignmentEndDate.invalid">Please select end Date</span>

            <span class="alert-msg" *ngIf="assignmentMenuDetails.dateError">{{assignmentMenuDetails.dateError}}</span>
          </div>


          <div class="wid33" [class.has-error]="evaluationCompletionDate.touched && evaluationCompletionDate.invalid">
            <label >Evaluation DATE<span class="alert-msg">*</span></label>
            <div class="datePicCont">
              <input class="small"  [owlDateTime]="evaluationCompletionDate" name="evaluationCompletionDate"
                     [owlDateTimeTrigger]="evaluationCompletionDate" [(ngModel)]="assignmentDetails.evaluationCompletionDate" placeholder="From"
                     id="evaluationCompletionDate"  required  #evaluationCompletionDate="ngModel">
              <owl-date-time [pickerType]="'calendar'" #evaluationCompletionDate></owl-date-time>
            </div>
            <span class="alert-msg" *ngIf="evaluationCompletionDate.touched && evaluationCompletionDate.invalid">Please evaluaiton end Date</span>
          </div>

          <div class="row" [class.has-error]="description.touched && description.invalid">
            <label style="margin:20px 0 0"> REASON FOR ATA<span class="alert-msg">*</span></label>
            <textarea [(ngModel)]="assignmentDetails.description" required name=description id="description"
                      placeholder="e.g., This assignment is to evaluate (Please use appropriate keywords on reasons for the particular assignment)'"
                      #description="ngModel">Text</textarea>
            <span class="alert-msg" *ngIf="description.touched && description.invalid">
              please Enter Assignment Description
            </span>
            <span class="alert-msg" *ngIf="assignmentDespLengthError">{{assignmentDespLengthError}}</span>

          </div>
          <div class="cusmtrow">
            <div class="row">
              <div class="wid33 multiDropDown "  >
                <label >Final mark by<span class="alert-msg">*</span></label>
                <ng-multiselect-dropdown
                  [placeholder]="'search mark by'"
                  [data]="assignmentMenuDetails.markByList"
                  [(ngModel)]="assignmentDetails.markByListValue"
                  [settings]="assignmentDropDownSettings.finalMarkBySettings"
                  [ngModelOptions]="{standalone: true}">
                </ng-multiselect-dropdown>
              </div>

              <div class="wid33 multiDropDown">
                <label >GRADING TOOL<span class="alert-msg">*</span></label>
                <ng-multiselect-dropdown
                  [placeholder]="'search grading tool'"
                  [data]="assignmentMenuDetails.gradingTools"
                  [(ngModel)]="assignmentDetails.gradeName"
                  [settings]="assignmentDropDownSettings.gradingToolsSettings"
                  [ngModelOptions]="{standalone: true}">
                </ng-multiselect-dropdown>
              </div>
            </div>
            <div class="row">
              <div class="wid33 multiDropDown" >
                <label >ATA SKILLS/CATEGORIES<span class="alert-msg">*</span></label>
                <ng-multiselect-dropdown
                  [placeholder]="'search ata skills'"
                  [data]="assignmentMenuDetails.skillDetails"
                  [(ngModel)]="assignmentDetails.skillName"
                  [settings]="assignmentDropDownSettings.ataSkillsSettings"
                  [ngModelOptions]="{standalone: true}">
                </ng-multiselect-dropdown>
              </div>
              <div class="wid33 multiDropDown" >
                <label >Grade by<span class="alert-msg">*</span></label>
                <ng-multiselect-dropdown
                  [placeholder]="'search grade by'"
                  [data]="assignmentMenuDetails.gradeType"
                  [(ngModel)]="assignmentMenuDetails.gradingName"
                  [settings]="assignmentDropDownSettings.gradeBySettings"
                  [ngModelOptions]="{standalone: true}">
                </ng-multiselect-dropdown>
              </div>
            </div>

            <div class="row">
              <div class="wid33 multiDropDown">
                <label >ATA TYPE<span class="alert-msg">*</span></label>
                <div class="datePicCont">
                  <div class="dropDown custmdropdwon">
                    <select [(ngModel)]="assignmentDetails.assignmentFinalEvalutionType" name="assignmentFinalEvalutionType" id="assignmentFinalEvalutionType"
                            #assignmentFinalEvalutionType="ngModel"   class="btn-custm">
                      <option>Select ATA Type</option>
                      <option *ngFor="let finalEvalutionType of assignmentMenuDetails.assignFinalEvalutionType " [ngValue]="assignmentDetails.assignFinalEvalutionType">{{finalEvalutionType}}</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="wid33" >
                <label >Level Of Proficiency<span class="alert-msg">*</span></label>
                <ng-multiselect-dropdown
                  [placeholder]="'search level of proficiency'"
                  [data]="assignmentMenuDetails.levelOfProficiency"
                  [(ngModel)]="assignmentMenuDetails.assignlevelOfProficiency"
                  [settings]="assignmentDropDownSettings.levelOfProficiencySettings"
                  [ngModelOptions]="{standalone: true}">
                </ng-multiselect-dropdown>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
    <div class="wid40">
      <div class=" uploadFloorBtn fileUpload">
        <div class="plusBtn"> <input type="file" name="multiplefile" ng2FileSelect [uploader]="uploader" multiple /><br/></div>
        <p>Drag your file here or browse for
          an image to upload.</p>
      </div>
      <div class="fileUploadStatus">
        <!--<h4>Attachments</h4>-->
        <table class="table">
          <thead>
          <!-- <tr>
             <th width="50%">Name</th>
             <th>Progress</th>
             <th>Actions</th>
           </tr>-->
          </thead>
          <tbody>
          <tr *ngFor="let item of uploader.queue">
            <td>
              <p class="title">{{ item?.file?.name }}</p>
              <span class="progDive">
                <!--  <span><em style="width:{{item.progress}}%"></em></span>-->
                  <div class="progress-bar" role="progressbar" [ngStyle]="{ 'width': item.progress + '%' }"></div>
                </span>
            </td>
            <!--<td class="wid30">
              <p class="fsize pull-right"  *ngIf="item.isSuccess" >Uploaded</p>
            </td>-->
            <td class="wid30 text-right">
              <button type="button" class="Custmbtn"
                      (click)="item.upload()" [disabled]="item.isReady || item.isUploading || item.isSuccess">
                <span class="tick"></span>
              </button>
              <button type="button" class="Custmbtn"
                      (click)="item.remove()">
                <span class="closeBtn"></span>
              </button>
            </td>
          </tr>
          </tbody>
        </table>

      </div>
    </div>

    <div class="nav">

      <div class="pull-right">
        <button class="btn btn-defult" (click)="navigateToDashboard()" >Back</button>

        <button class="btn btn-cyean" *ngIf="!isEditMode" (click)="submitAssignmetDetails()"
                [disabled]="!Assignment.form.valid && !assignmentMenuDetails.dateError.length>0 ">Next</button>
        <button class="btn btn-cyean"  *ngIf="isEditMode" (click)="UpdateAssignmetDetails()" >Update</button>
      </div>
    </div>

  </div>
</div>
<!--
moveToCreateGroup();-->



<!--<script>
  alert("here") v
  $(document).ready(function() {
    $('.test').fSelect();
    $(".datePicker").datepicker();

    console.log(">>>>>>>>>>>>>" +$(".datePicker").length)
  });
</script>-->
